Get CMx Records
GET /service/v2/cm/cmx
Available: Version 25.4 and later.
Purpose
Update records for Code and Record CMx.
Prerequisites
Ensure you have Get permission for Business Process Services.
Request Format
Send a request as a JSON map with the following structure:
ws/rest/service/v2/cm/cmx?project_number=<value>&input={ "bpname" : "<value>", "record_no" : "<value>" }
For Company BPs, do not specify the
project_number parameter.
Query Parameters
Specify the following parameters in the Options JSON map:
| Request Parameter | Required? | Data Type | Description |
|---|---|---|---|
| project_number | Yes | String | A valid active project number. For example, "B-0001". |
| input.class_name | Yes | String | The name of the configurable managers class name. For example, “Material Inventory Manager”. |
| input. record_no | Yes | String | The BP record number. For example, "INV-0001". |
| input.general_comments | No | String | The general comments data in the response. |
Response Format
A JSON object is returned in the following format:
{
"data": [],
"message": [<list of messages>],
"status": <REST status code value>,
"rest_audit_id": <id from the audit table>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Success Request
Send a request in the following format:
/ws/rest/service/v2/cm/cmx?project_number=B-0001&input={
"class_name" : "Material Inventory Manager",
"record_no" : "INV-0002"
}
Sample Success Response
A successful response with status code 200 displays in the following format:
{
"data": [
{
"record_data": {
"upaItemUnitPrice": 0.0,
"upmManufacturerTX
T120": "Philips Advance",
"
umatReceivedQuantityDA": 0.0,
"uuu_cm5_nam
e": "Instant Optanium Electronic Ball
ast",
"umatCommittedSDA":
0.0,
"ugenPropertySubCl
ass": null,
"ugenProp
ertyClass": null,
"re
cord_no": "INV-0003",
"umatR
ecItemUnitPriceSCA": 0.0,
"umatIniTotPriceCA": 0.0,
"uskuSkuAvgUnitPrice": 0.0,
"uuu_cm_navigation_code": "Electrical-Philips Advance",
"uskuQuantityI
nHandDA": 0.0,
"umat
SKUMtrDP": "969874-88",
"
uBuildingNumber": null,
"Short_Descrip_Default_Value": "I
nstant Optanium Electronic Balla
st",
"ugenUnitofMeasurePD
": "each",
"uuu_creation_date": "07-18-2
019 16:02:03",
"uipI
nitialQtyDA": 0.0,
"uuu_
cm5_status": "Active",
"umatAdjQtySNL": 0.0,
"umatSu
bTypePD": "Ballasts",
"uWarehouseName": null,
"Date_Picker_K": null
,
"uuu_cm5_code": "Electrica
l_969874-88",
"umatSKUMasterNuberRN": "96987
4-88",
"umatCategoryPD
": "Electrical",
"umat
TotalPriceSNL": 0.0,
"uipQtyAdjDA": 0.0,
"uBuildingName": "B-0001",
"creat
or_id": "Company Administrator",
"umatTotQtySNL": 0.0
,
"umatSKUMtrDesc"
: "Instant Optaniu
m Elect
ronic Ballast",
"Approved_Dat
e": null
}
}
],
"message": ["success"],
"status": 200
}
Supported Validation Messages and Status Codes
The following validation messages and status codes display in the response when incorrect values are provided in the request:
| Field Name | Use-case Scenario | Status Code | Error Message |
|---|---|---|---|
| project_number | project_number is invalid. | 602 | Project/Shell Number is not correct. |
| input.class_name | input.class_name is Incorrect. | 779 | Class Name is not found. |
| input.class_name | Key is missing. | 784 | class_name is not present in the request input. |
| input.record_no | record_no is incorrect. | 657 | Invalid record_no. |
| input.record_no | Key is missing. | 3004 | record_no not present in request input. |